## ros-noetic-cob-omni-drive-controller 0.8.22

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_omni_drive_controller)

find_package(catkin REQUIRED COMPONENTS angles cob_base_controller_utils controller_interface dynamic_reconfigure geometry_msgs hardware_interface nav_msgs pluginlib realtime_tools roscpp sensor_msgs std_msgs std_srvs tf tf2 urdf)

find_package(Boost REQUIRED COMPONENTS thread)

generate_dynamic_reconfigure_options(
  cfg/SteerCtrl.cfg
)

catkin_package(
  CATKIN_DEPENDS angles cob_base_controller_utils controller_interface dynamic_reconfigure geometry_msgs hardware_interface nav_msgs roscpp sensor_msgs std_msgs std_srvs tf tf2 urdf
  DEPENDS Boost
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} cob_omni_drive_geom
)

### BUILD ###
include_directories(include src ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(cob_omni_drive_geom src/UndercarriageCtrlGeom.cpp src/param_parser.cpp)
add_dependencies(cob_omni_drive_geom ${catkin_EXPORTED_TARGETS})
target_link_libraries(cob_omni_drive_geom ${catkin_LIBRARIES})

add_library(${PROJECT_NAME} src/control_multi_plugin.cpp src/control_plugin.cpp src/odom_plugin.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} cob_omni_drive_geom ${catkin_LIBRARIES} ${Boost_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME} cob_omni_drive_geom
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
 DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## ros-noetic-cob-omni-drive-controller 0.8.21

=== debian/changelog ===
ros-noetic-cob-omni-drive-controller (0.8.21-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.20-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.19-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.18-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.17-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.16-1buster) buster; urgency=high

  * Merge pull request #259 <https://github.com/ipa320/cob_control/issues/259> from HannesBachter/feature/invert_odom
    [melodic] Feature/invert odom
  * rename to invert_odom_tf
  * switch frame_id and child_frame_id when invert_odom
  * set invert_odom param to false by default
  * introduce invert_odom param
  * publish inverted transform for odometry
  * Contributors: Felix Messmer, HannesBachter

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.15-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.14-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.13-1buster) buster; urgency=high

  * Merge pull request #251 <https://github.com/ipa320/cob_control/issues/251> from fmessmer/melodic/TF_REPEATED_DATA
    [melodic] add check and logs for TF_REPEATED_DATA
  * add check and logs for TF_REPEATED_DATA
  * Merge pull request #247 <https://github.com/ipa320/cob_control/issues/247> from fmessmer/fix_catkin_lint_melodic
    [melodic] fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.12-1buster) buster; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.11-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.10-1buster) buster; urgency=high

  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.8-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.7-1buster) buster; urgency=high

  * Merge pull request #208 <https://github.com/ipa320/cob_control/issues/208> from ipa-jba/melodic_dev
    [Melodic] melodify
  * use urdf::JointConstSharedPtr instead of boost...
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.6-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.5-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.4-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.3-1buster) buster; urgency=high

  * Merge pull request #196 <https://github.com/ipa320/cob_control/issues/196> from fmessmer/split_parseWheelTransform
    controller specific parseWheelTransform
  * split parseWheelTransform
  * Merge pull request #190 <https://github.com/ipa320/cob_control/issues/190> from fmessmer/new_tricycle_controller_kinetic
    new tricycle controller kinetic
  * implement additional config parameter
  * introduce cob_base_controller_utils package
  * parseWheelTransform from urdf
  * missing includes for cob_omni_drive_controller
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.2-1buster) buster; urgency=high

  * update maintainer
  * Merge pull request #177 <https://github.com/ipa320/cob_control/issues/177> from benmaidel/fix/wheel_transform
    fix wheel transformation from urdf
  * user robotmodel root link for wheel transformation
  * fixed tf2 includes
  * read whole transformation chain between wheel and base_link
  * Merge pull request #186 <https://github.com/ipa320/cob_control/issues/186> from ipa-fxm/kinetic/fix/max_wheel_rate_from_urdf
    read max_wheel_rates from urdf
  * read max_wheel_rates from urdf
  * Merge pull request #140 <https://github.com/ipa320/cob_control/issues/140> from ipa-mdl/feature/wheel-multi-controller-refactored
    [kinetic] wheel multi controller refactored
  * add multi interface wheel controller


=== debian/control ===
Source: ros-noetic-cob-omni-drive-controller
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-noetic-angles, ros-noetic-catkin, ros-noetic-cob-base-controller-utils, ros-noetic-controller-interface, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-hardware-interface, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-omni-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-noetic-angles, ros-noetic-cob-base-controller-utils, ros-noetic-controller-interface, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-hardware-interface, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-tf2, ros-noetic-urdf
Description: The cob_omni_drive_controller package provides a ros_controller plugin for the Care-O-bot omni-directional base platform.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-omni-drive-controller//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-cob-omni-drive-controller 0.8.22

=== debian/changelog ===
ros-noetic-cob-omni-drive-controller (0.8.22-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.21-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.20-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.19-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.18-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.17-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.16-1focal) focal; urgency=high

  * Merge pull request #259 <https://github.com/ipa320/cob_control/issues/259> from HannesBachter/feature/invert_odom
    [melodic] Feature/invert odom
  * rename to invert_odom_tf
  * switch frame_id and child_frame_id when invert_odom
  * set invert_odom param to false by default
  * introduce invert_odom param
  * publish inverted transform for odometry
  * Contributors: Felix Messmer, HannesBachter

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.15-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.14-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.13-1focal) focal; urgency=high

  * Merge pull request #251 <https://github.com/ipa320/cob_control/issues/251> from fmessmer/melodic/TF_REPEATED_DATA
    [melodic] add check and logs for TF_REPEATED_DATA
  * add check and logs for TF_REPEATED_DATA
  * Merge pull request #247 <https://github.com/ipa320/cob_control/issues/247> from fmessmer/fix_catkin_lint_melodic
    [melodic] fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.12-1focal) focal; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.11-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.10-1focal) focal; urgency=high

  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.1-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.8.0-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.8-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.7-1focal) focal; urgency=high

  * Merge pull request #208 <https://github.com/ipa320/cob_control/issues/208> from ipa-jba/melodic_dev
    [Melodic] melodify
  * use urdf::JointConstSharedPtr instead of boost...
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.6-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.5-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.4-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.3-1focal) focal; urgency=high

  * Merge pull request #196 <https://github.com/ipa320/cob_control/issues/196> from fmessmer/split_parseWheelTransform
    controller specific parseWheelTransform
  * split parseWheelTransform
  * Merge pull request #190 <https://github.com/ipa320/cob_control/issues/190> from fmessmer/new_tricycle_controller_kinetic
    new tricycle controller kinetic
  * implement additional config parameter
  * introduce cob_base_controller_utils package
  * parseWheelTransform from urdf
  * missing includes for cob_omni_drive_controller
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-omni-drive-controller (0.7.2-1focal) focal; urgency=high

  * update maintainer
  * Merge pull request #177 <https://github.com/ipa320/cob_control/issues/177> from benmaidel/fix/wheel_transform
    fix wheel transformation from urdf
  * user robotmodel root link for wheel transformation
  * fixed tf2 includes
  * read whole transformation chain between wheel and base_link
  * Merge pull request #186 <https://github.com/ipa320/cob_control/issues/186> from ipa-fxm/kinetic/fix/max_wheel_rate_from_urdf
    read max_wheel_rates from urdf
  * read max_wheel_rates from urdf
  * Merge pull request #140 <https://github.com/ipa320/cob_control/issues/140> from ipa-mdl/feature/wheel-multi-controller-refactored
